module dados

use variaveis
use portlib

implicit none

integer :: dos

contains

!-------------------------------------
subroutine entrada

dos = system('notepad dados.txt')

open(5,file='dados.txt')

read(5,*) k1
read(5,*) k2
read(5,*) x(1)
read(5,*) x(2)
read(5,*) itmax
read(5,*) dist

close(5)

end subroutine entrada
!-------------------------------------

end module dados